Bug 119363 - LTC7125-Start of openCryptoki slot daemon - pkcsslotd - for the 1st time give message chgrp: invalid group name `g+rw'
LTC7125-Start of openCryptoki slot daemon - pkcsslotd - for the 1st time give...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: crypto-utils (Show other bugs)
s390 Linux
high Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
Depends On:
Blocks: 119235
  Show dependency treegraph
Reported: 2004-03-29 16:29 EST by IBM Bug Proxy
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-11 21:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2004-03-29 16:29:28 EST
The following has be reported by IBM LTC:  
Start of openCryptoki slot daemon - pkcsslotd - for the 1st time give
message chgrp: invalid group name `g+rw'
Hardware Environment: z990

Software Environment: RHEL3 U2 beta1

Steps to Reproduce:
1. load the z90crypt crypto device driver
2. Start the pkcsslotd daemon provided by openCryptoki - 

root@rhel3u21 init.d]# ./pkcsslotd start 
Starting pkcsslotd:                      
chgrp: invalid group name `g+rw'

Additional Information:

It looks like the 1st time the pkcsslotd daemon is started,
the pkcs_slot script provided by openCryptoki in 
creates the /etc/pkcs11 directory and sets owner & permissions,
using these commands - 

# Check for the existance of the directories
if [ ! -d /etc/pkcs11 ]                     
        mkdir -p /etc/pkcs11                
        chgrp pkcs11 /etc/pkcs11            
        chgrp -R g+rw /etc/pkcs11           

It looks like that chgrp -R g+rw should be changed to a chmod.
When pkcsslotd runs for the 1st time, it puts out the message - 

Starting pkcsslotd:                      
chgrp: invalid group name `g+rw'

The slot deamon does start successfully, and, the /etc/pkcs11
directory is created successfully.
And once it's created, the message does not re-occur.
Comment 1 IBM Bug Proxy 2004-04-01 10:45:33 EST
----- Additional Comments From yoder1@us.ibm.com  2004-04-01 10:46 -------
This bug is fixed in openCryptoki CVS Head. Grab that by doing: 
cvs -d :pserver:anoncvs@www-124.ibm.com:/usr/cvs/opencryptoki 
l/p: anoncvs/anoncvs 
CVS is the best way to get openCryptoki right now, there have been problems 
uploading the latest tarballs to the developerWorks site.   
Other bugs since 2.1.3 have been fixed in CVS as well, the version you grab 
from CVS should be 2.1.5. (Use CVS tag openCryptoki-2-1-5 if you like, but it 
should match the code in CVS Head.) 
Comment 4 Florian La Roche 2004-04-09 11:38:08 EDT
openCryptoki 2.1.5-1 is available in the beta channel, setting this to


Florian La Roche
Comment 5 IBM Bug Proxy 2004-04-24 23:56:01 EDT
----- Additional Comments From khoa@us.ibm.com  2004-04-24 23:58 -------
Please verify this on Update2 when it comes out and close the bug report
if everything is ok.  Thanks. 
Comment 6 IBM Bug Proxy 2004-04-26 08:22:59 EDT
----- Additional Comments From miket@us.ibm.com  2004-04-26 08:09 -------
Installed RHEL3 Update2 Beta 2, and installed the openCryptoki rpms from 
the RedHat Channel - 
(and on 64-bit) - 

pkcsslotd then started successfully with no error message - 
[root@rhel3u22 init.d]# ./pkcsslotd start
Starting pkcsslotd: 

Closing the bug. 
Comment 7 John Flanagan 2004-05-11 21:24:58 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.